
QGIS Application - Bug report #10029

measure tool poor marker visibility

2014-04-09 12:53 AM - Jan Helebrant

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18514

Description

I have problem that the measure tool markers are poorly visible. As attached picture shows it is almost impossible to find the starting point

of the line (and check you chose the right point) and in some cases also the line.

Would it be possible to make the line thicker and in some brighter color? It would help much.

thanks

PS: the same in Windows and Linux OS

Associated revisions

Revision 3a726b60 - 2014-04-23 03:08 PM - Nathan Woodrow 

Add better default colour and width for measure tools. Fix #10029

Revision f1b58383 - 2014-06-12 12:28 PM - Nathan Woodrow

Merge pull request #1444 from avlisad/master

Improve mouse logic for measure tool. Fix #4628 Fix #10029

History

#1 - 2014-04-15 10:56 AM - Antonio Locandro

I think this would be a good addition, I often find myself in the same position, also it would be nice if once can see if it's snapping to something or not

#2 - 2014-04-23 06:08 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"3a726b60858402402be1a6685371123d17412043".

#3 - 2014-06-10 04:30 PM - Da Silva

- File measuretool.zip added

- File perimeter.jpg added
- File area.jpg added

- Status changed from Closed to Reopened

The attached images show that the marker for the last point of feature is not draw and the measure tool can be fooled to draw two points for the starting

point of a feature.

Code to correct this issue is provided.

#4 - 2014-06-10 11:47 PM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

Da Silva wrote:

The attached images show that the marker for the last point of feature is not draw and the measure tool can be fooled to draw two points for the

starting point of a feature.

Code to correct this issue is provided.

please submit patches as pull request on github, thanks!

https://github.com/qgis/QGIS

#5 - 2014-06-12 03:28 AM - Nathan Woodrow

- Status changed from Reopened to Closed

Fixed in changeset commit:"f1b5838392a4da8298a5848b2eed197ed15ecab8".

Files

QGIS_2.2.0-Valmiera_measure.jpg 58.5 KB 2014-04-08 Jan Helebrant

QGIS_2.2.0-Valmiera_measure__proposal.jpg 59.4 KB 2014-04-08 Jan Helebrant

perimeter.jpg 99.9 KB 2014-06-10 Da Silva

area.jpg 88.7 KB 2014-06-10 Da Silva

measuretool.zip 7.28 KB 2014-06-10 Da Silva
